## org.eclipse.ocl.util
Interface ProblemAware

All Known Implementing Classes:
  QueryImpl

    public interface ProblemAware

A mix-in interface indicating that implementations can provide problem diagnostics.

Since:
  1.3

Method Summary
`Diagnostic` `getProblems()` Retrieves the problems available on this problem aware object

Method Detail

### getProblems

    Diagnostic getProblems()

  Retrieves the problems available on this problem aware object

  Returns:
    the diagnostic object representing the problems or `null` in case that no problems are available.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.